> For the complete documentation index, see [llms.txt](https://docs.krypcore.com/dev-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_syncing.md).

# eth\_syncing

1. #### Parameters-This method does not accept any parameters

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"jsonrpc":"2.0","method":"eth_syncing","params":[],"id":67}'

```

2. #### Returns

* result- The result is false if JSON Object is not syncing otherwise it's true:
  * <mark style="color:blue;">startingBlock</mark> The block at which the import started encoded as hexadecimal&#x20;
  * <mark style="color:blue;">currentBlock</mark> The current block, same as eth\_blockNumber encoded as hexadecimal&#x20;
  * <mark style="color:blue;">highestBlock</mark> The estimated highest block encoded as hexadecimal


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_syncing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
